<?php

/**
 * @file
 * Contains Drupal\cforge\Entity\Neighbourhood.
 * @todo add support for geo polygons
 */

namespace Drupal\cforge\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\Core\Entity\EntityStorageInterface;

/**
 * Defines the transaction state entity class.
 *
 * @ConfigEntityType(
 *   id = "cforge_neighbourhood",
 *   label = @Translation("Neighbourhood"),
 *   config_prefix = "neighbourhood",
 *   handlers = {
 *     "access" = "Drupal\cforge\NeighbourhoodAccessControlHandler",
 *     "form" = {
 *       "add" = "Drupal\cforge\NeighbourhoodForm",
 *       "edit" = "Drupal\cforge\NeighbourhoodForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\cforge\NeighbourhoodListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\cforge\Entity\NeighbourhoodRouteProvider",
 *     },
 *   },
 *   admin_permission = "committee",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "name",
 *     "uuid" = "uuid",
 *     "weight" = "weight",
 *   },
 *   links = {
 *     "canonical" = "/neighbourhood/{cforge_neighbourhood}",
 *     "collection" = "/admin/config/cforge/neighbourhoods",
 *     "edit-form" = "/admin/config/cforge/neighbourhoods/{cforge_neighbourhood}",
 *     "delete-form" = "/admin/config/cforge/neighbourhoods/{cforge_neighbourhood}/delete",
 *   }
 * )
 */


class Neighbourhood extends ConfigEntityBase {

  /**
   * Id of the current Type
   *
   * @var string
   */
  protected $id;
  
  /**
   * Label of the current Type
   *
   * @var string
   */
  protected $name;

  /**
   * Uuid of the current Type
   *
   * @var string
   */
  protected $uuid;

  /**
   * The user id of the neighbourhood coordinator
   *
   * @var integer
   */
  public $uid;

  /**
   * Uuid of the current Type
   *
   * @var string
   */
  public $polygon;
  
  /**
   * {@inheritdoc}
   */
  static function sort(\Drupal\Core\Config\Entity\ConfigEntityInterface $a, \Drupal\Core\Config\Entity\ConfigEntityInterface $b){
    
    return ($a->name < $a->name) ? -1 : 1;
  }
}
