<?php

namespace Drupal\cforge\EventSubscriber;

use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\Routing\Exception\RouteNotFoundException;

class CforgeSubscriber implements EventSubscriberInterface {

  public function cforgeFront(GetResponseEvent $event) {
    if (\Drupal::currentUser()->isAuthenticated()) {
      if ($event->getRequest()->getpathinfo() == '/') {
        $event->setResponse(new RedirectResponse('news'));
      }
    }
    else{
      $path = trim($event->getRequest()->getpathinfo(), '/');
      //remove the trailing slash to make the explode work as expected
      if(count(array_filter(explode('/', $path))) > 3) {
        throw new RouteNotFoundException('Access denied');
      }
    }
  }

  /**
   * {@inheritdoc}
   */
  static function getSubscribedEvents() {
    $events[KernelEvents::REQUEST][] = array('cforgeFront');
    return $events;
  }

}
