<?php

/**
 * @file
 * Contains \Drupal\cforge\NeighbourhoodAccessControlHandler.
 */

namespace Drupal\cforge;

use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;


/**
 * Access control for Neighbourhoods
 * Prevents populated neighbourhoods from being deleted
 */
class NeighbourhoodAccessControlHandler extends EntityAccessControlHandler {


  /**
   * {@inheritdoc}
   */
  public function access(EntityInterface $entity, $operation, AccountInterface $account = NULL, $return_as_object = FALSE) {
    if ($operation == 'delete') {
      //find out if any instances of the address field have this entity as their neighbourhood
      //hatchet job...
      $count = \Drupal::database()->select('user__address', 'a')
        ->condition('a.address_dependent_locality', $entity->label())
        ->countQuery()
        ->execute()->fetchField();
      if ($count) {
        return AccessResult::forbidden();
      }
    }
    return parent::access($entity, $operation, $account, $return_as_object);
  }
}
