<?php

/**
 * Definition of Drupal\cforge\NeighbourhoodListBuilder.
 */

namespace Drupal\cforge;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Render\Element;
use Drupal\user\Entity\User;

/**
 * Provides a listing of currencies
 *
 */
class NeighbourhoodListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function getFormID() {
    return 'neighbourhoods_list';
  }
  /**
   * {@inheritdoc}
   */
  public function load() {
    $entities = parent::load();
  }

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['label'] = t('Name');
    $header['coordinator'] = t('Coordinator');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $actions = parent::buildRow($entity);
    if (empty($actions)) {
      return $actions;
    }
    $row['label'] = $entity->label();
    $account = User::load($entity->id());
    //$row['coordinator'] = $account->toLink();
    return $row + $actions;
  }


}
